Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# log4cplus::helpers::ServerSocket Class Reference

This class implements server sockets. More...

`#include <socket.h>`

Inheritance diagram for log4cplus::helpers::ServerSocket:

[legend]
Collaboration diagram for log4cplus::helpers::ServerSocket:

[legend]
List of all members.

## Public Member Functions
| ServerSocket (int port)
virtual | ~ServerSocket ()
Socket | accept ()

## Detailed Description

This class implements server sockets.

A server socket waits for requests to come in over the network. It performs some operation based on that request, and then possibly returns a result to the requester.

Definition at line 97 of file socket.h.

## Constructor & Destructor Documentation

log4cplus::helpers::ServerSocket::ServerSocket | ( | int | port | ) |

virtual log4cplus::helpers::ServerSocket::~ServerSocket | ( |  | ) | `[virtual]`

## Member Function Documentation

Socket log4cplus::helpers::ServerSocket::accept | ( |  | ) |

The documentation for this class was generated from the following file:

- socket.h